--TEST--
regressions #16 - Regressions
--DESCRIPTION--
Regressions - GH-676: Using array in escaping mustache fails
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{arr}}';
$context = array(
        'arr' => array(
            1,
            2,
        ),
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
1,2