--TEST--
regressions #24 - Regressions
--DESCRIPTION--
Regressions - GH-1065: Sparse arrays
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#each array}}{{@index}}{{.}}{{/each}}';
$context = array(
        'array' => array(
            1 => 'foo',
            3 => 'bar',
        ),
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
1foo3bar