--TEST--
basic #48 - basic context
--DESCRIPTION--
basic context - block functions with context argument
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#awesome 1}}inner {{.}}{{/awesome}}';
$context = array(
        'awesome' => function($context, $options) { return $options->fn($context); }/*function (context, options) { return options.fn(context); }*/,
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
inner 1