--TEST--
subexpressions #16 - subexpressions
--DESCRIPTION--
subexpressions - as hashes in string params mode
--SKIPIF--
<?php if( true ) die('skip string params are not supported by the VM'); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{blog fun=(bork)}}';
$context = array();
$helpers = new DefaultRegistry(array(
        'blog' => function($options) {
        return "val is " . (is_bool($tmp = $options['hash']['fun']) ? ($tmp ? 'true' : 'false') : $tmp);
      }/*function (options) {
        return "val is " + options.hash.fun;
      }*/,
        'bork' => function() {
        return "BORK";
      }/*function () {
        return 'BORK';
      }*/,
    ));
$options = array(
        'stringParams' => true,
    );
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
val is BORK